### File

`packages/components/eui-menu/eui-menu-item.component.ts`

### Implements

`OnInit` `OnChanges` `FocusableOption`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-menu-item`
imports | `RouterLink` `RouterLinkActive` `NgTemplateOutlet` `TranslateModule` `EUI_ICON` `EUI_BADGE` `EUI_ICON_BUTTON` `EUI_BUTTON` `EuiTooltipDirective`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-menu-item.component.html`

### Index

###### Properties

- ariaLabel
- collapseMenuLabel
- expandMenuLabel
- isActionIconFocused
- isLabelItem
- isLinkItem
- isUrlItem
- role
- tabindex

###### Methods

- elementIsVisibleInViewport
- Public focus
- Public focusActionIcon
- Public onActionIconClick
- onActionIconFocusOut
- Public onActionIconKeyDown
- Public onClick
- Public onExpandToggle
- scrollIntoView
- Public stopPropagation

###### Inputs

- hasBoldRootLevel
- hasCollapsedInitials
- hasExpandIcon
- hasIcon
- hasIconLabel
- hasTooltip
- hasTooltipOnExpanded
- isCollapsed
- item
- parent

###### Outputs

- expandToggle
- itemClick

###### HostBindings

- attr.aria-disabled
- attr.aria-expanded
- attr.aria-haspopup
- attr.aria-label
- attr.role
- attr.tabindex
- class

###### HostListeners

- click

###### Accessors

- cssClasses
- ariaHasPopup
- ariaExpanded
- ariaDisabled
- menuItemTooltip

### Inputs

hasBoldRootLevel
Type : `boolean`

hasCollapsedInitials
Type : `boolean`

hasExpandIcon
Type : `boolean`
Default value : `true`

hasIcon
Type : `boolean`

hasIconLabel
Type : `boolean`

hasTooltip
Type : `boolean`

hasTooltipOnExpanded
Type : `boolean`

isCollapsed
Type : `boolean`

item
Type : `EuiMenuItem`

parent
Type : `EuiMenuItem`

### Outputs

expandToggle
Type : `EventEmitter`

itemClick
Type : `EventEmitter`

### HostBindings

attr.aria-disabled
Type : `boolean`

attr.aria-expanded
Type : `boolean`

attr.aria-haspopup
Type : `boolean`

attr.aria-label
Type : `string`
Default value : `''`

attr.role
Type : `string`
Default value : `'menuitem'`

attr.tabindex
Type : `string`
Default value : `'-1'`

class
Type : `string`

### HostListeners

click
Arguments : `'$event'`
`click(event: MouseEvent)`

### Methods

elementIsVisibleInViewport
`elementIsVisibleInViewport(partiallyVisible)`

Check if an element is visible in the viewport

Parameters :

Name | Optional | Default value
partiallyVisible | No | `false`

Returns : `boolean`

Public focus
`focus()`
Returns : `void`

Public focusActionIcon
`focusActionIcon()`
Returns : `void`

Public onActionIconClick
`onActionIconClick(event: MouseEvent)`

Parameters :

Name | Type | Optional
event | `MouseEvent` | No

Returns : `void`

onActionIconFocusOut
`onActionIconFocusOut()`
Returns : `void`

Public onActionIconKeyDown
`onActionIconKeyDown(event: KeyboardEvent)`

Parameters :

Name | Type | Optional
event | `KeyboardEvent` | No

Returns : `void`

Public onClick
`onClick(event: MouseEvent | KeyboardEvent)`

Parameters :

Name | Type | Optional
event | `MouseEvent | KeyboardEvent` | No

Returns : `void`

Public onExpandToggle
`onExpandToggle(event: Event)`

Parameters :

Name | Type | Optional
event | `Event` | No

Returns : `void`

scrollIntoView
`scrollIntoView(properties)`

Scroll the element into view

Parameters :

Name | Optional
properties | No

Returns : `void`

Public stopPropagation
`stopPropagation(event: MouseEvent)`
Decorators : `@HostListener('click', ['$event'])`

Parameters :

Name | Type | Optional
event | `MouseEvent` | No

Returns : `void`

### Properties

ariaLabel
Type : `string`
Default value : `''`
Decorators : `@HostBinding('attr.aria-label')`

collapseMenuLabel
Type : `string`
Default value : `'Collapse'`

expandMenuLabel
Type : `string`
Default value : `'Expand'`

isActionIconFocused
Default value : `false`

isLabelItem
Default value : `false`

isLinkItem
Default value : `false`

isUrlItem
Default value : `false`

role
Type : `string`
Default value : `'menuitem'`
Decorators : `@HostBinding('attr.role')`

tabindex
Type : `string`
Default value : `'-1'`
Decorators : `@HostBinding('attr.tabindex')`

### Accessors

cssClasses
get `cssClasses()`

ariaHasPopup
get `ariaHasPopup()`

ariaExpanded
get `ariaExpanded()`

ariaDisabled
get `ariaDisabled()`

menuItemTooltip
get `menuItemTooltip()`

# results matching ""

# No results matching ""